Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest.representations
Class JmxAttributeRepresentationDispatcher

    java.lang.Object
      org.neo4j.server.helpers.PropertyTypeDispatcher<String,Representation>
          org.neo4j.server.webadmin.rest.representations.JmxAttributeRepresentationDispatcher

    public class JmxAttributeRepresentationDispatcher

extends PropertyTypeDispatcher<String,Representation>

Converts common primitive and basic objects and arrays of the same into a representation. Has additional understanding of CompositeData, to allow representations of JMX beans.

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.helpers.PropertyTypeDispatcher
`PropertyTypeDispatcher.PropertyArray<A,T>`

Constructor Summary
`JmxAttributeRepresentationDispatcher()`

Method Summary
`protected Representation` | `dispatchBooleanArrayProperty(PropertyTypeDispatcher.PropertyArray<boolean[],Boolean> array, String param)`
`protected Representation` | `dispatchBooleanProperty(boolean property, String param)`
`protected Representation` | `dispatchByteProperty(byte property, String param)`
`protected Representation` | `dispatchCharacterProperty(char property, String param)`
`protected Representation` | `dispatchDoubleArrayProperty(PropertyTypeDispatcher.PropertyArray<double[],Double> array, String param)`
`protected Representation` | `dispatchDoubleProperty(double property, String param)`
`protected Representation` | `dispatchFloatArrayProperty(PropertyTypeDispatcher.PropertyArray<float[],Float> array, String param)`
`protected Representation` | `dispatchFloatProperty(float property, String param)`
`protected Representation` | `dispatchIntegerArrayProperty(PropertyTypeDispatcher.PropertyArray<int[],Integer> array, String param)`
`protected Representation` | `dispatchIntegerProperty(int property, String param)`
`protected Representation` | `dispatchLongArrayProperty(PropertyTypeDispatcher.PropertyArray<long[],Long> array, String param)`
`protected Representation` | `dispatchLongProperty(long property, String param)`
`protected Representation` | `dispatchOtherArray(Object[] property, String param)`
`protected Representation` | `dispatchOtherProperty(Object property, String param)`
`protected Representation` | `dispatchShortArrayProperty(PropertyTypeDispatcher.PropertyArray<short[],Short> array, String param)`
`protected Representation` | `dispatchShortProperty(short property, String param)`
`protected Representation` | `dispatchStringArrayProperty(String[] array, String param)`
`protected Representation` | `dispatchStringProperty(String property, String param)`

Methods inherited from class org.neo4j.server.helpers.PropertyTypeDispatcher
`consumeProperties, dispatch, dispatchArray, dispatchBooleanArrayProperty, dispatchBooleanArrayProperty, dispatchByteArrayProperty, dispatchByteArrayProperty, dispatchByteArrayProperty, dispatchCharacterArrayProperty, dispatchCharacterArrayProperty, dispatchCharacterArrayProperty, dispatchDoubleArrayProperty, dispatchDoubleArrayProperty, dispatchFloatArrayProperty, dispatchFloatArrayProperty, dispatchIntegerArrayProperty, dispatchIntegerArrayProperty, dispatchLongArrayProperty, dispatchLongArrayProperty, dispatchNullProperty, dispatchNumberArray, dispatchNumberProperty, dispatchProperties, dispatchShortArrayProperty, dispatchShortArrayProperty, dispatchStringArrayProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxAttributeRepresentationDispatcher

    public JmxAttributeRepresentationDispatcher()

Method Detail

### dispatchBooleanProperty

    protected Representation dispatchBooleanProperty(boolean property,
                                                     String param)

  Specified by:
    `dispatchBooleanProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchDoubleProperty

    protected Representation dispatchDoubleProperty(double property,
                                                    String param)

  Specified by:
    `dispatchDoubleProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchFloatProperty

    protected Representation dispatchFloatProperty(float property,
                                                   String param)

  Specified by:
    `dispatchFloatProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchIntegerProperty

    protected Representation dispatchIntegerProperty(int property,
                                                     String param)

  Specified by:
    `dispatchIntegerProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchLongProperty

    protected Representation dispatchLongProperty(long property,
                                                  String param)

  Specified by:
    `dispatchLongProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchShortProperty

    protected Representation dispatchShortProperty(short property,
                                                   String param)

  Specified by:
    `dispatchShortProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchStringProperty

    protected Representation dispatchStringProperty(String property,
                                                    String param)

  Specified by:
    `dispatchStringProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchOtherProperty

    protected Representation dispatchOtherProperty(Object property,
                                                   String param)

  Overrides:
    `dispatchOtherProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchOtherArray

    protected Representation dispatchOtherArray(Object[] property,
                                                String param)

  Overrides:
    `dispatchOtherArray` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchStringArrayProperty

    protected Representation dispatchStringArrayProperty(String[] array,
                                                         String param)

  Overrides:
    `dispatchStringArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchShortArrayProperty

    protected Representation dispatchShortArrayProperty(PropertyTypeDispatcher.PropertyArray<short[],Short> array,
                                                        String param)

  Overrides:
    `dispatchShortArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchIntegerArrayProperty

    protected Representation dispatchIntegerArrayProperty(PropertyTypeDispatcher.PropertyArray<int[],Integer> array,
                                                          String param)

  Overrides:
    `dispatchIntegerArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchLongArrayProperty

    protected Representation dispatchLongArrayProperty(PropertyTypeDispatcher.PropertyArray<long[],Long> array,
                                                       String param)

  Overrides:
    `dispatchLongArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchFloatArrayProperty

    protected Representation dispatchFloatArrayProperty(PropertyTypeDispatcher.PropertyArray<float[],Float> array,
                                                        String param)

  Overrides:
    `dispatchFloatArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchDoubleArrayProperty

    protected Representation dispatchDoubleArrayProperty(PropertyTypeDispatcher.PropertyArray<double[],Double> array,
                                                         String param)

  Overrides:
    `dispatchDoubleArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchBooleanArrayProperty

    protected Representation dispatchBooleanArrayProperty(PropertyTypeDispatcher.PropertyArray<boolean[],Boolean> array,
                                                          String param)

  Overrides:
    `dispatchBooleanArrayProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchByteProperty

    protected Representation dispatchByteProperty(byte property,
                                                  String param)

  Specified by:
    `dispatchByteProperty` in class `PropertyTypeDispatcher<String,Representation>`

### dispatchCharacterProperty

    protected Representation dispatchCharacterProperty(char property,
                                                       String param)

  Specified by:
    `dispatchCharacterProperty` in class `PropertyTypeDispatcher<String,Representation>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.